差分

移動先: 案内検索

RaspberryPiとDVB-TでADS-B

18,340 バイト追加, 2019年6月7日 (金) 14:21
編集の要約なし
|-
| style="padding-left:10px;padding-right:10px;"| OS
| style="padding-left:10px;padding-right:10px;" | Raspbian Stretch with desktop 20182019-1104-1308
|-
| style="padding-left:10px;padding-right:10px;"| ストレージ
=='''具合'''==
* リソースの具合 [http://dz.plala.jp:8081/host/fr24/ fr24 netdata dashboard 別窓]* リソースの具合 [http://dz.plala.jp/iot-monitor/ IoT MONITOR Monitor 別窓]* 延命対策しないと数ヵ月でSDカードが壊れる感じ
{| class="wikitable" style="width:520px; margin-top: 0;"| style="padding-left:10px;padding-right:10px;" | web App| style="padding-left:10px;padding-right:10px; text-align: center;" colspan="2" | アカウントプレゼントプレゼント(1$≒¥110)
|-
| style="padding-left:10px;padding-right:10px;" | [https://www.flightradar24.com/35.72,139.21/8 Flightradar24]
| style="padding-left:10px;padding-right:10px; text-align: right;" | [https://www.flightradar24.com/premium/ Business Plan]
| style="padding-left:10px;padding-right:10px; text-align: right;" | $ 49.99/月5,500円
|-
| style="padding-left:10px;padding-right:10px;" | [https://ja.flightaware.com/ FlightAware]
| style="padding-left:10px;padding-right:10px; text-align: right;" | [https://ja.flightaware.com/commercial/premium/ Enterprise Account]
| style="padding-left:10px;padding-right:10px; text-align: right;" | $ 89.95/月9,900円
|-
| style="padding-left:10px;padding-right:10px;" | [https://www.radarbox24.com RadarBox]
| style="padding-left:10px;padding-right:10px; text-align: right;" | [https://www.radarbox24.com/subscribe Business Plan]
| style="padding-left:10px;padding-right:10px; text-align: right;" | $ 39.95/月4,400円
|-
| style="padding-left:10px;padding-right:10px;" | [https://planefinder.net/ Plane Finder]
| style="padding-left:10px;padding-right:10px; text-align: right;" | 広告非表示
| style="padding-left:10px;padding-right:10px; text-align: right;" | $ 1.99/月220円
|}
{| class="wikitable" style="width:520px; margin-top: 0;"
| style="padding-left:10px;padding-right:10px;" | iPhone App
| style="padding-left:10px;padding-right:10px; text-align: right;" | 価格
| style="padding-left:10px;padding-right:10px; text-align: center;" colspan="2" | App内課金プレゼントプレゼント(1$≒¥110)
|-
| style="padding-left:10px;padding-right:10px;" | [https://itunes.apple.com/jp/app/flightradar24-%E3%83%95%E3%83%A9%E3%82%A4%E3%83%88%E3%83%88%E3%83%A9%E3%83%83%E3%82%AB%E3%83%BC/id382233851 Flightradar24 Flight Tracker]
| style="padding-left:10px;padding-right:10px; text-align: right;" | 無料
| style="padding-left:10px;padding-right:10px; text-align: right;" | Gold Plan
| style="padding-left:10px;padding-right:10px; text-align: right;" | ¥450/月450円
|-
| style="padding-left:10px;padding-right:10px;" | [https://itunes.apple.com/jp/app/flightaware-flight-tracker/id316793974 FlightAware Flight Tracker]
| style="padding-left:10px;padding-right:10px; text-align: right;" | 無料
| style="padding-left:10px;padding-right:10px; text-align: right;" | -Ad Remove| style="padding-left:10px;padding-right:10px; text-align: right;" | -100円
|-
| style="padding-left:10px;padding-right:10px;" | [https://itunes.apple.com/jp/app/radarbox-live-flight-tracker/id1382868950 RadarBox - Live Flight Tracker]
| style="padding-left:10px;padding-right:10px; text-align: right;" | 無料
| style="padding-left:10px;padding-right:10px; text-align: right;" | Business Plan
| style="padding-left:10px;padding-right:10px; text-align: right;" | ¥44,400/月400円
|-
| style="padding-left:10px;padding-right:10px;" | [https://itunes.apple.com/jp/app/plane-finder-flight-tracker/id336477530 Plane Finder - Flight Tracker]
| style="padding-left:10px;padding-right:10px; text-align: right;" | ¥600600円
| style="padding-left:10px;padding-right:10px; text-align: right;" | -
| style="padding-left:10px;padding-right:10px; text-align: right;" | -
|}
 
* 延命対策しないと数ヵ月で死ぬ
=='''準備'''==
===OS===
「Raspbian インストール」などで検索<br />
省略
===IP固定===
「Raspberry Pi Strech IP固定」などで検索
 
<syntaxhighlight lang="bash">
$ sudo nano /etc/dhcpcd.conf
</syntaxhighlight>
===hostsホスト名=== Menu > 設定 > RaspberryPiの設定 Raspberry Piの設定 > システムタブ > ホスト名
fr24
OK > 再起動
VNC有効
Menu > 設定 > RaspberryPiの設定 Raspberry Piの設定 > インターフェイスタブ > VNC有効 > OK
解像度の変更
Menu > 設定 > RaspberryPiの設定 Raspberry Piの設定 > システムタブ > 解像度 > 1280x720程度 1280x960程度 > OK > 再起動
シャットダウンし、モニター、マウス、キーボードを取り外して電源入れ直し<br />
全てのアプリがdump1090からメトリクスを取得して動く<br />
dump1090の歴史順
[https://github.com/antirez/dump1090 dump1090-antirez]
[https://github.com/MalcolmRobb/dump1090 dump1090-MalcolmRobb]
[https://github.com/mutability/dump1090 dump1090-mutability]
[https://github.com/flightaware/dump1090 dump1090-fa]
Flightradar24はMalcolmRobb版を採用してるようだけど、mutability作者は「もうサポートできないからdump1090Flightradar24はMalcolmRobbを採用してるようだけど、<br />mutability作者は「もうサポートできないからdump1090-faを使ってくれ!」って言ってる。なので、先にdump1090faを使ってくれ!」って言ってる。<br />先にdump1090-faのFlightAwareをインストールし、他のアプリはdump1090faのFlightAwareをインストールし、他はdump1090-faにつなぐのが順当に見える。
=='''FlightAware'''==
動作確認
RaspberryPiの場合 Raspberry Piの場合 http://127.0.0.1:8080
他のPCの場合 http://192.168.1.183:8080
</pre>
フィーダIDを持っている場合
https://ja.flightaware.com/adsb/piaware/upgrade
 
sudo piaware-config feeder-id xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
sudo systemctl restart piaware
 
フィーダIDを持ってない場合<br />
ここから先、登録済みで作業を進めたので新規登録の手順は不明
動作確認
RaspberryPiの場合 Raspberry Piの場合 http://127.0.0.1:8754
他のPCの場合 http://192.168.1.183:8754
https://www.flightradar24.com/premium/
ここから先、登録済みで作業を進めたので新規登録の手順は不明
 
追記<br />
設定の変更が必要かも<br />
参考: [https://forum.flightradar24.com/threads/11979-Beginner-feed-both-FR24-und-FA-with-Raspberry-Pi-3-Model-B-FlightAware-Pro-Stick Beginner: feed both FR24 und FA with Raspberry Pi 3 Model B+, FlightAware Pro Stick+]
 
Raspberry Piの場合 http://127.0.0.1:8754/settings.html
他のPCの場合 http://192.168.1.183:8754/settings.html
Receiver: AVR (TCP) → ModeS Beast (TCP)
HOST/IP: 127.0.0.1:30002 → 127.0.0.1:30005
=='''RadarBox'''==
ブラウザで設定
RaspberryPiの場合 Raspberry Piの場合 http://127.0.0.1:30053
他のPCの場合 http://192.168.1.183:30053
動作確認
RaspberryPiの場合 Raspberry Piの場合 http://127.0.0.1:30053
他のPCの場合 http://192.168.1.183:30053
<!--
=='''Virtual Radar Server'''==
参考: [http://www.virtualradarserver.co.uk/ Virtual Radar Server]
 
Linuxインストールに関する作者さんの説明
http://www.virtualradarserver.co.uk/Mono.aspx
Monoのインストール
<syntaxhighlight lang="bash">
$ sudo apt-get install mono-complete
</syntaxhighlight>
ダウンロード
<syntaxhighlight lang="bash" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
$ mkdir VirtualRadar
$ cd VirtualRadar
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.tar.gz
$ tar -zxvf VirtualRadar.tar.gz
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.WebAdminPlugin.tar.gz
$ tar -zxvf VirtualRadar.WebAdminPlugin.tar.gz
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.exe.config.tar.gz
$ tar -zxvf VirtualRadar.exe.config.tar.gz
</syntaxhighlight>
 
一度起動(/home/pi/.local/share/VirtualRadarディレクトリ作成のため)
<syntaxhighlight lang="bash">
$ mono VirtualRadar.exe
</syntaxhighlight>
Virtual Radar Server終了
 
ポート番号の変更(InstallerConfiguration.xmlの新規作成)
<syntaxhighlight lang="bash">
$ sudo leafpad /home/pi/.local/share/VirtualRadar/InstallerConfiguration.xml
</syntaxhighlight>
 
コピー&ペースト (この場合は8081番に変更)
<syntaxhighlight lang="xml" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
<?xml version="1.0" encoding="utf-8" ?>
<InstallerSettings xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<WebServerPort>8081</WebServerPort>
</InstallerSettings>
</syntaxhighlight>
 
Virtual Radar Server起動(ユーザー登録のため)
<syntaxhighlight lang="bash">
<name>に適当なユーザー名、<password>に適当なパスワード
$ mono VirtualRadar.exe -createAdmin:<name> -password:<password>
</syntaxhighlight>
 
Virtual Radar Server終了
 
Virtual Radar Serverに登録するDatabase、Flags、Silhouettesを[http://www.kinetic.co.uk/resourcesdownloads.php Kinetic Avionic]からダウンロードします。<br />
<span style="color:red;">種類が少なく全部表示してくれません。
[http://dz.plala.jp/wiki/index.php/Raspberry_Pi%E3%81%A8DVB-T%E3%81%A7ADS-B%E3%81%AEFlightradar24%E3%83%95%E3%82%A3%E3%83%BC%E3%83%80%E3%83%BC#Virtual_Radar_Server.E3.81.AE.E3.82.A4.E3.83.B3.E3.82.B9.E3.83.88.E3.83.BC.E3.83.AB 古い記事で書いた内容]で設定したほうが充実するかもです。</span>
 
Raspbianに標準搭載のブラウザChromiumを使用します。<br />
Chromiumのダウンロード保存先はデフォルト設定の/home/pi/Downloadsで作業進めてみます。
 
Database
http://www.kinetic.co.uk/resourcesdownloads.php#4
SBS Resources SQB File ボタンをクリック
 
Flags
http://www.kinetic.co.uk/resourcesdownloads.php#1
Operator Logos Version 2ボタンをクリック(Version 2がいちばん種類が豊富なのでこれで試してみます)
 
Silhouettes
http://www.kinetic.co.uk/resourcesdownloads.php#1
Silhouette Logos ボタンをクリック
 
<syntaxhighlight lang="bash">
ディレクトリの準備
$ cd /home/pi/VirtualRadar
$ mkdir data
$ mkdir data/Flags && mkdir data/Silhouettes
登録
$ cd /home/pi/Downloads
$ unzip BaseStation-sqb.zip
$ sudo mv BaseStation.sqb /home/pi/VirtualRadar/data/
$ unzip OperatorLogos2.zip
$ sudo cp -R OperatorLogos2/. /home/pi/VirtualRadar/data/Flags/
$ unzip SilhouettesLogos.zip
$ sudo cp -R SilhouettesLogos/. /home/pi/VirtualRadar/data/Silhouettes/
</syntaxhighlight>
 
Virtual Radar Server起動
<syntaxhighlight lang="bash">
$ cd /home/pi/VirtualRadar
$ mono VirtualRadar.exe
</syntaxhighlight>
 
VRS Web Admin Optionsに登録
PaspberryPiの場合 http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合 http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
登録したユーザー名、パスワードでログイン
左のOptionsボタン
Database filename: /home/pi/VirtualRadar/data/BaseStation.sqb
Flags folder: /home/pi/VirtualRadar/data/Flags
Silhouettes folder: /home/pi/VirtualRadar/data/Silhouettes
下のほうのSaveボタン
 
Virtual Radar Server終了
 
自動起動設定
$ sudo leafpad /etc/init.d/virtualradar
 
コピーペースト
<syntaxhighlight lang="bash">
#! /bin/sh
### BEGIN INIT INFO
# Provides: VirtualRadarServer
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: web page for ADSB
# Description: my own ADS-B data with Virtual Radar Server
### END INIT INFO
 
# PATH should only include /usr/* if it runs after the mountnfs.sh script
#PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Virtual Radar Sever for ADSB"
NAME=VirtualRadar
DAEMON="/usr/bin/mono /home/pi/VirtualRadar/$NAME.exe"
DAEMON_ARGS="-workingFolder:/home/pi/.local/share/VirtualRadar -nogui"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/virtualradar
 
# Exit if the package is not installed
#[ -x "$DAEMON" ] || exit 0
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec $DAEMON -- $DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# main
#
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#status)
#status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
#;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
 
</syntaxhighlight>
 
権限変更
<syntaxhighlight lang="bash">
$ sudo chmod 755 /etc/init.d/virtualradar
</syntaxhighlight>
 
サービス登録
<syntaxhighlight lang="bash">
$ sudo update-rc.d virtualradar defaults
</syntaxhighlight>
 
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
動作確認
PaspberryPiの場合
VRS Web Admin http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
Default Version http://127.0.0.1:8081/VirtualRadar
Desktop Version http://127.0.0.1:8081/VirtualRadar/desktop.html
Mobile Version http://127.0.0.1:8081/VirtualRadar/mobile.html
Old Desktop Version http://127.0.0.1:8081/VirtualRadar/GoogleMap.htm
Old Mobile Version http://127.0.0.1:8081/VirtualRadar/iPhoneMap.htm
Setting Page http://127.0.0.1:8081/VirtualRadar/settings.html
 
他のPCの場合
VRS Web Admin http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
Default Version http://192.168.1.183:8081/VirtualRadar
Desktop Version http://192.168.1.183:8081/VirtualRadar/desktop.html
Mobile Version http://192.168.1.183:8081/VirtualRadar/mobile.html
Old Desktop Version http://192.168.1.183:8081/VirtualRadar/GoogleMap.htm
Old Mobile Version http://192.168.1.183:8081/VirtualRadar/iPhoneMap.htm
Setting Page http://192.168.1.183:8081/VirtualRadar/settings.html
-->
<!--
=='''ModeSMixer2'''==
参考: [http://xdeco.org/ xdeco.org]<br />
RaspbianのブラウザChromiumを使用します。<br />
Chromiumのダウンロード保存先はデフォルト設定の/home/pi/Downloadsで作業進めてみます。<br />
ダウンロード
ブラウザChromiumから
http://xdeco.org/?page_id=30#mm2
Raspberry Pi用が数種類用意されてるので環境にあったものをダウンロード(googledriveでは↓マーク)
<syntaxhighlight lang="bash">
$ mkdir modesmixer2
$ sudo mv /home/pi/ダウンロード/modesmixer2_rpi2-3_deb9_20170924.tgz /home/pi/modesmixer2
$ cd modesmixer2
$ tar -zxvf modesmixer2_rpi2-3_deb9_20170924.tgz
</syntaxhighlight>
DatabaseとSilhouettesとFlightRouteを登録できるようです。<br />
DatabaseとSilhouettesはVirtual Radar Serverで登録したものをコピーし、<br />
FlightRouteは用意の仕方が分からないので「まんしゅう彩遊記」さんから頂きます。<br />
DatabaseとSilhouettes
<syntaxhighlight lang="bash">
$ sudo cp -R /home/pi/VirtualRadar/data/. /home/pi/modesmixer2/
</syntaxhighlight>
FlightRoute
 
ブラウザChromiumから
http://newmansyuu.blog.fc2.com/blog-entry-433.html
キャビネットボード
http://acarsman.in.coocan.jp/cab/viewtopic.php?f=2&t=177
flightroute_w.zip (62,993 byte) 15/09/11 更新  ダウンロード
 
$ cd ~
$ sudo mv /home/pi/ダウンロード/flightroute_w.zip /home/pi/modesmixer2
$ cd modesmixer2
$ unzip flightroute_w.zip
 
自動起動設定
<syntaxhighlight lang="bash">
$ sudo leafpad /etc/init.d/modesmixer2
</syntaxhighlight>
コピーペースト<br />
--location 35.xxxx:139.xxxxは観測地の緯度経度
<syntaxhighlight lang="bash" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
#! /bin/sh
### BEGIN INIT INFO
# Provides: modesmixer2
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: modesmixer2
# Description: modesmixer2
### END INIT INFO
 
# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.
 
# Do NOT "set -e"
 
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="modesmixer2"
NAME=modesmixer2
DAEMON=/home/pi/modesmixer2/$NAME
DAEMON_ARGS="--inConnect 127.0.0.1:30005 --location 35.xxxx:139.xxxx --web 8082 --db /home/pi/modesmixer2/BaseStation.sqb --frdb /home/pi/modesmixer2/flightroute_w.sqb --silhouettes /home/pi/modesmixer2/Silhouettes"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec $DAEMON -- $DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# main
#
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#status)
#status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
#;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
 
</syntaxhighlight>
権限変更
<syntaxhighlight lang="bash">
$ sudo chmod 755 /etc/init.d/modesmixer2
</syntaxhighlight>
サービス登録
<syntaxhighlight lang="bash">
$ sudo update-rc.d modesmixer2 defaults
</syntaxhighlight>
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
動作確認
Raspberry Piの場合 http://127.0.0.1:8082
他のPCの場合 http://192.168.1.183:8082
-->
<!--
=='''ADS-B Exchange'''==
参考: [http://www.adsbexchange.com/how-to-feed/ ADS-B Exchange]
 
設定方法
http://www.adsbexchange.com/how-to-feed-from-vrs/
 
VRS Web Admin
PaspberryPiの場合 http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合 http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
 
Options→Rebroadcast Servers<br />
こんな感じで入力して右上×ボタン押して、画面下のSaveボタン<br />
[[ファイル:FR24_adsbexchange2.png|650px|border]]
 
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
 
動作確認<br />
VRS Web AdminのRebroadcast serversでカウントされてれば成功してると思います。
PaspberryPiの場合
VRS Web Admin http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合
VRS Web Admin http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
確認
http://www.adsbexchange.com/ のGlobal Radar View(直リンクできないようです)
-->
=='''Nginx'''==
http://192.168.1.183:8080/data/aircraft.json の参照でCANVAS汚染しました。JSONの外部参照でCANVAS汚染しました。<br />lighttpdにバイパスしCORS対策するだけのNginxを作ってみます。lighttpdにproxyするCORS対策するだけのnginxを作ってみます。
nginx port 50000 >> lighttpd dump1090-fa port 8080 >> port 50000 Plane Finder nginx port 30053 50001 >> lighttpd Plane Finder port 5000130053
インストール 停止
$ sudo service lighttpd stop
 
インストール
$ sudo apt-get install nginx
$ sudo /etc/init.d/nginx start
$ sudo unlink /etc/nginx/sites-enabled/default
設定作成<br />
/etc/nginx/nginx.confでincludeになっているのでhttp{…}ディレクティブは必要無しconfでincludeになっているのでhttpディレクティブは必要無し
$ sudo nano /etc/nginx/sites-available/proxy
<pre>
server_name localhost;
location / {
return 403;
}
location = /data/aircraft.json {
add_header Access-Control-Allow-Origin *;
add_header Access-Control-Allow-Methods "POST, GET, OPTIONS";
add_header Access-Control-Allow-Headers "Origin, Authorization, Accept";
add_header Access-Control-Allow-Credentials true;
proxy_pass http://127.0.0.1:8080/data/aircraft.json;
}
}
server_name localhost;
location / {
#return 403; } location = /ajax/aircraft.json { add_header Access-Control-Allow-Origin *;
add_header Access-Control-Allow-Methods "POST, GET, OPTIONS";
add_header Access-Control-Allow-Headers "Origin, Authorization, Accept";
add_header Access-Control-Allow-Credentials true;
proxy_pass http://127.0.0.1:30053/ajax/aircraft.json;
}
}
ローカルエリア内の他のPCは動作しました。
RaspberryPiのChromiumはCORSエラーが出ました。CORS対策してもWebGLエラーが出ました。Raspberry PiのChromiumはCORSエラーが出ました。CORS対策してもWebGLエラーが出ました。 結果、RaspberryPiのブラウザで操作することはできない気がします。結果、Raspberry Piのブラウザで操作することはできない気がします。
カメラのデフォルト位置の調整
/usr/share/dump1090-fa/html/3d/json/airports.jsonを上書き保存。
=='''延命化延命対策'''==
===swap===
無効化<br />
$ sudo systemctl disable dphys-swapfile
===tmpfsfstab===有効化設定
$ sudo nano /etc/fstab
末尾に追記nodiratime追記と末尾に追記<br />参考: [https://wiki.archlinux.jp/index.php/Fstab#atime_.E3.82.AA.E3.83.97.E3.82.B7.E3.83.A7.E3.83.B3 fstab - ArchWiki atime オプション] PARTUUID=5cfaeb3f-02 / ext4 defaults,noatime,nodiratime 0 1 tmpfs /tmp tmpfs defaults,size=32m,noatime,nodiratime,mode=1777 0 0 tmpfs /run/user/1000 tmpfs defaults,size=32mnoatime,noatimenodiratime,mode=1777 0 0 tmpfs /run/dump1090-fa tmpfs defaults,size=32mnoatime,noatimenodiratime,mode=1777 0 0 tmpfs /run/piaware tmpfs defaults,size=32mnoatime,noatimenodiratime,mode=1777 0 0 tmpfs /home/pi/.cache/lxsession/LXDE-pi tmpfs defaults,size=16mnoatime,noatimenodiratime,mode=1777 0 0
保存: Ctrl + o リターン<br />
終了: Ctrl + x
確認
$ df -F tmpfsh
===rsyslogsystemctl===停止確認 $ sudo nano /etc/rsyslog.conf使わないモノをコメントアウトsystemctl list-unit-files -t service|grep enabled
<pre>rsyslog停止############### $ sudo systemctl stop rsyslog.service#### RULES #### $ sudo systemctl disable rsyslog.service############### 戻すなら $ sudo systemctl enable rsyslog.service
#bluetooth停止# First some standard log files. Log by facility$ sudo systemctl stop hciuart.service##auth,authpriv $ sudo systemctl stop bluetooth.* /var/log/auth.logservice#* $ sudo systemctl disable hciuart.*;auth,authpriv.none -/var/log/syslogservice#cron $ sudo systemctl disable bluetooth.* /var/log/cron.logservice#daemon.* -/var/log/daemon.log 戻すなら#kern $ sudo systemctl enable hciuart.* -/var/log/kern.logservice#lpr.* -/var/log/lpr.log#mail.* -/var/log/mail.log#user.* -/var/log/user.log ## Logging for the mail system. Split it up so that# it is easy to write scripts to parse these files$ sudo systemctl enable bluetooth.##mail.info -/var/log/mail.info#mail.warn -/var/log/mail.warn#mail.err /var/log/mail.err ## Some "catch-all" log files.##*.=debug;\# auth,authpriv.none;\# news.none;mail.none -/var/log/debug#*.=info;*.=notice;*.=warn;\# auth,authpriv.none;\# cron,daemon.none;\# mail,news.none -/var/log/messages ## Emergencies are sent to everybody logged in.##*.emerg :omusrmsg:*</pre> 保存: Ctrl + o リターン<br />終了: Ctrl + xservice
再起動
$ sudo reboot
 
確認
$ systemctl list-unit-files -t service
$ systemctl list-unit-files -t service|grep disabled
===folder2ram===
確認
$ df -F tmpfs 他の頻繁に書き込みされるlogを探す場合 $ cd / $ sudo find . -path "./proc" -prune -o -path "./sys" -prune -o -type f -name "*.*" -mmin -5 -lsh
===journald===
追記
Storage=volatilenone
保存: Ctrl + o > リターン<br />
終了: Ctrl + x
$ sudo reboot
===jbd2sysctl===jbd2Netdataでsoftnetの警告が必ず出る 過去10分間に、ksoftirqがsysctl net.core.netdev_budgetまたはnet.core.netdev_budget_usecsを使い果たし作業が残っている。これはパケットがドロップされる原因となる可能性があります。参考: [https:/mmcblk0p2が1分毎に書き込みを行ってるように見える。<br />停止する方法が見当たらない。access.redhat.com/sites/default/files/attachments/20150325_network_performance_tuning.pdf Red Hat Enterprise Linux Network Performance Tuning Guide]<br />5分毎の書き込みに変更することは可能な様子。 $ sudo nano 参考: [https://github.com/netdata/netdata/etcissues/fstab4624 Can't fix persistent 'netdev budget ran outs' with 45k alerts, need help #4624]
変更 PARTUUIDは環境による設定 #PARTUUID=5cfaeb3f-02 $ sudo nano / ext4 defaults,noatime 0 1etc/sysctl.conf 末尾に追記 PARTUUIDnet.core.netdev_budget_usecs=5cfaeb3f-02 / ext4 defaults,noatime,commit=299 0 120000保存: Ctrl + o > リターン<br />終了: Ctrl + x
再起動
$ sudo reboot
 
確認
$ sudo apt-get install iotop
$ cd /var/tmp
$ sudo iotop -obtaqqq > output.txt
しばらくしたら停止 Ctrl+C
$ sudo nano output.txt
終了: Ctrl + x
=='''更新履歴'''==
* 2019.2.8 書き直し
* 2018.1.4 公開

案内メニュー